Package ch.qos.logback.classic.sift

# Class AppenderFactoryUsingJoran

java.lang.Object
ch.qos.logback.core.sift.AbstractAppenderFactoryUsingJoran<ILoggingEvent>
ch.qos.logback.classic.sift.AppenderFactoryUsingJoran

All Implemented Interfaces:
  `AppenderFactory<ILoggingEvent>`

public class AppenderFactoryUsingJoran extends AbstractAppenderFactoryUsingJoran<ILoggingEvent>

## Field Summary

### Fields inherited from class ch.qos.logback.core.sift.AbstractAppenderFactoryUsingJoran

`key, parentPropertyMap`

## Method Summary

Modifier and Type
Method
Description
`SiftingJoranConfiguratorBase<ILoggingEvent>`
`getSiftingJoranConfigurator(String discriminatingValue)`

### Methods inherited from class ch.qos.logback.core.sift.AbstractAppenderFactoryUsingJoran

`buildAppender, getEventList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSiftingJoranConfigurator

public SiftingJoranConfiguratorBase<ILoggingEvent> getSiftingJoranConfigurator(String discriminatingValue)

Specified by:
  `getSiftingJoranConfigurator` in class `AbstractAppenderFactoryUsingJoran<ILoggingEvent>`